org.apache.http.client.params

## Class HttpClientParamConfig

- java.lang.Object
- - org.apache.http.client.params.HttpClientParamConfig

- Deprecated.
  (4.3) provided for compatibility with `HttpParams`. Do not use.

      @Deprecated
      public final class HttpClientParamConfig
      extends Object

  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestConfig` | `getRequestConfig(org.apache.http.params.HttpParams params)` Deprecated.
    `static RequestConfig` | `getRequestConfig(org.apache.http.params.HttpParams params, RequestConfig defaultConfig)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRequestConfig

          public static RequestConfig getRequestConfig(org.apache.http.params.HttpParams params)

      Deprecated.

    - #### getRequestConfig

          public static RequestConfig getRequestConfig(org.apache.http.params.HttpParams params,
                                       RequestConfig defaultConfig)

      Deprecated.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.